#mosaico-artistas {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    grid-template-rows: repeat(3, 1fr);
    gap: 0px; /* Espaçamento entre as colunas e linhas */
    height: calc(100vh - 90px);
    overflow: hidden;
    perspective: 1000px !important;
}

.artista {
    position: relative;
    overflow: hidden;
    padding: 0;
    opacity: 0;
    transform-origin: center;
  
}

.artista img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}


.artista a {
    display: block;
    width: 100%;
    height: 100%;
    text-decoration: none;
    color: inherit;
}

#mosaico-artistas h3 {
    opacity: 0;
    position: absolute;
    bottom: -3vw;
    font-size: 0.65vw;
    color: #fff;
    padding: 5vw 1vw 1vw;
    font-family: "Source Sans Pro", Sans-serif;
    line-height: 1.3em;
    text-align: center;
    width: 100%;
    margin: 0;
    background: rgb(0, 0, 0);
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.8911939775910365) 0%, rgba(0, 0, 0, 0) 100%);
   
transition: all 350ms ease-in-out;
}

.artista:hover h3 {
   bottom: 0vw !important;
   font-size: 1.1vw !important;
   opacity: 1 !important;
}


@keyframes hovernomearthome {
    
    0% {
       bottom: -3vw; 
    }
    100% {
        bottom: 0vw;
    }
    
}


@keyframes animagrid {
    
    0% {
      opacity: 0; 
        
    }
    100% {
        opacity: 1;
            
           
    }
    
}


@keyframes animagridsai {
    
    0% {
      opacity: 1; 
    
      
    }
    100% {
        opacity: 0;
        
    }
    
}




.artista.gridentrada {
    animation: animagrid 300ms ease-out both;
    
}

.artista.gridesaida {
    animation: animagridsai 300ms ease-out both;
    

}

@media only screen and (max-width: 1023px) {
    
    
#mosaico-artistas {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(5, 1fr);
  
}

}





